# Generated from sha3-2.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sha3

Name: rubygem-%{gem_name}
Version: 2.2.2
Release: 1%{?dist}
Summary: SHA-3 (FIPS 202), SHAKE128/SHAKE256, cSHAKE128/cSHAKE256, and KMAC (NIST SP 800-185), powered by XKCP
License: MIT
URL: https://github.com/johanns/sha3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.7.0
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
A high-performance native binding to the SHA3 (FIPS 202) cryptographic hashing
algorithms, based on the XKCP - eXtended Keccak Code Package.
This gem provides support for the standard SHA-3 fixed-length functions (224,
256, 384, and 512 bits),
as well as the SHAKE128/SHAKE256 extendable-output functions (XOFs),
cSHAKE128/256, and KMAC as specified in NIST SP 800-185.'.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/.clang-format
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.vscode
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.rdoc_options
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/sha3.gemspec

%changelog
* Mon May 26 2025 mockbuilder - 2.2.2-1
- Initial package
